Bug 69739 - There is no option to make File Open by default only show the type of the active document, instead of all file types
Summary: There is no option to make File Open by default only show the type of the act...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: File-Dialog Dialog-Remember-Settings
  Show dependency treegraph
 
Reported: 2013-09-23 22:39 UTC by Mick Florey
Modified: 2019-08-20 19:01 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mick Florey 2013-09-23 22:39:21 UTC
This has been really annoying me for some time.
I am used to using office 97 (yes, that old and is perfect for most things I do!)

What Libre office fails to be able to do is when in Writer (Word) and file open, then I see ALL type of documents and I ONLY want to see "doc" types, like the last type I saved as, which is usually a ".doc" file.

In Calc (Excel), when I open a file (or RECENT file) I expect to be able to OPEN ONLY .Xls files and NOT see ANY other file type, like everything.

This to me is a real show stopped and I will stop using libre office, as it is so annoying.

All this needs is some default filter option, which I would have thought would be there, but I have looked and looked, with EVERY version for the past year.

Thanks
Mick Florey, UK

Not quite a bug, but a big lack of a (big) feature!
Comment 1 tommy27 2013-09-24 05:16:28 UTC
basically you'd like that the "Open file" menu dialog can be filtered to a specific user defined file format (*.doc) while actually the default visualization mode is all files (*.*), right?
Comment 2 Cor Nouws 2013-09-24 08:16:20 UTC
see the comments in bug bug 56696
Comment 3 Cor Nouws 2013-09-24 08:25:53 UTC
(In reply to comment #2)
> see the comments in bug bug 56696

Especially https://bugs.freedesktop.org/show_bug.cgi?id=56696#c12
Comment 4 Mick Florey 2013-09-24 10:33:15 UTC
(In reply to comment #1)
> basically you'd like that the "Open file" menu dialog can be filtered to a
> specific user defined file format (*.doc) while actually the default
> visualization mode is all files (*.*), right?

Yes, this is correct.
Actually, this could be closed as I have found this:

https://bugs.freedesktop.org/show_bug.cgi?id=56696


and appears along similar lines, in fact I have placed a comment there and hopefully get some positive response.
Thanks very much!
Mick
Comment 5 tommy27 2013-09-24 11:43:49 UTC
so do you agree if i mark it AS DUPLICATE ? 

bye, tommy 

Il 2013-09-24 12:33 bugzilla-daemon@freedesktop.org ha scritto: 

> COMMENT # 4 [3] ON BUG 69739 [4] FROM MICK FLOREY [5] 
> 
> (In reply to comment #1 [1])
>> basically you'd like that the "Open file" menu dialog can be filtered to a
>> specific user defined file format (*.doc) while actually the default
>> visualization mode is all files (*.*), right?
> 
> Yes, this is correct.
> Actually, this could be closed as I have found this:
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=56696 [2]
> 
> and appears along similar lines, in fact I have placed a comment there and
> hopefully get some positive response.
> Thanks very much!
> Mick
> 
> -------------------------
> You are receiving this mail because: 
> 
> * You are on the CC list for the bug.

 

Links:
------
[1] https://bugs.freedesktop.org/show_bug.cgi?id=69739#c1
[2] https://bugs.freedesktop.org/show_bug.cgi?id=56696
[3] https://bugs.freedesktop.org/show_bug.cgi?id=69739#c4
[4] https://bugs.freedesktop.org/show_bug.cgi?id=69739
[5] https://bugs.freedesktop.org/mailto:mick.florey@ntlworld.com
Comment 6 Mick Florey 2013-09-24 12:14:53 UTC
(In reply to comment #5)
> so do you agree if i mark it AS DUPLICATE ? 
> 
> bye, tommy 
> 
> Il 2013-09-24 12:33 bugzilla-daemon@freedesktop.org ha scritto: 
> 
> > COMMENT # 4 [3] ON BUG 69739 [4] FROM MICK FLOREY [5] 
> > 
> > (In reply to comment #1 [1])
> >> basically you'd like that the "Open file" menu dialog can be filtered to a
> >> specific user defined file format (*.doc) while actually the default
> >> visualization mode is all files (*.*), right?
> > 
> > Yes, this is correct.
> > Actually, this could be closed as I have found this:
> > 
> > https://bugs.freedesktop.org/show_bug.cgi?id=56696 [2]
> > 
> > and appears along similar lines, in fact I have placed a comment there and
> > hopefully get some positive response.
> > Thanks very much!
> > Mick
> > 
> > -------------------------
> > You are receiving this mail because: 
> > 
> > * You are on the CC list for the bug.
> 
>  
> 
> Links:
> ------
> [1] https://bugs.freedesktop.org/show_bug.cgi?id=69739#c1
> [2] https://bugs.freedesktop.org/show_bug.cgi?id=56696
> [3] https://bugs.freedesktop.org/show_bug.cgi?id=69739#c4
> [4] https://bugs.freedesktop.org/show_bug.cgi?id=69739
> [5] https://bugs.freedesktop.org/mailto:mick.florey@ntlworld.com

YES, regard this as a duplicate.
Thanks for your time :)
Mick
Comment 7 tommy27 2013-09-24 17:03:32 UTC
the reporter agreed on a private mail to mark it as a DUP.

thanks Cor for the link

*** This bug has been marked as a duplicate of bug 56696 ***
Comment 8 Cor Nouws 2015-07-01 09:22:00 UTC
I disagree that this is a duplicate.
fdo#56696 is about the list recent documents
this issue is about the file type that is shown in the file open dialog.

The issues are related, but not the same.

(That all doesn't change my opinion that I don't find such an option useful. Maybe people that only work with only type of document? But then there should be only one document type in the folders any way...)
Comment 9 Cor Nouws 2015-07-01 09:23:09 UTC
enhacement
Comment 10 Thomas Lendo 2019-08-19 22:45:45 UTC
Adding needsUXEval. How can this be achieved without limitations to other users as Cor mentioned in his comment?
Comment 11 Heiko Tietze 2019-08-20 09:13:34 UTC
We can store the last selection made at this dropdowns, as we plan to do at many other places.
Comment 12 Heiko Tietze 2019-08-20 14:08:32 UTC
Sorry for the noise. There are too many META tickets.